%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ell
Version:	0.64
Release:	%mkrel 1
Summary:	Embedded Linux library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://01.org/ell
Source0:	https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz
Patch0:		ell-0.28-linking.patch
Patch1:		ell-headers.patch

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{libname}
Summary:	Embedded Linux library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{develname}
Summary:	Embedded Linux library development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers for developing against libell.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure2_5x --enable-pie
%make_build

%install
%make_install

rm -f %buildroot/usr/lib64/libell.la

%files -n %{libname}
%{_libdir}/libell.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/ell/
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc


%changelog
* Sun Apr 21 2024 tex - 0.64-1pclos2024
- new version

* Mon Mar 11 2024 tex - 0.63-1pclos2024
- new version

* Thu Feb 15 2024 tex - 0.62-1pclos2024
- new version

* Sun Jan 28 2024 tex - 0.61-1pclos2024
- new version 0.61
- enable position independent executables flag -fPIE
